Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
How to install wxWidgets 2.9 (development version)?
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Portage & Programming
View previous topic :: View next topic  
Author Message
pvh1987
n00b
n00b


Joined: 06 Jun 2012
Posts: 34

PostPosted: Sun Jan 06, 2013 5:40 pm    Post subject: How to install wxWidgets 2.9 (development version)? Reply with quote

Hi

I have searched the internet for quite some time looking for a guide explaining how to install wxWidgets 2.9. Is there a official overlay or something that I can install using layman or similar? I would like to have the newest development release of wxGTK (I think it is version 2.9.4) installed side by side with the current stable (version 2.8) without conflicts, so I can use both versions. I will only need wxGTK 2.9 for my own development and testing purposes. That means that emerge has to use version 2.8 as usual.

Thanks in advance :-)
Back to top
View user's profile Send private message
pvh1987
n00b
n00b


Joined: 06 Jun 2012
Posts: 34

PostPosted: Wed Jan 09, 2013 1:58 am    Post subject: Reply with quote

It cannot be true that nobody knows how to install wxWidget 2.9.4 in a Gentoo system. If this is really true, I suggest that someone with the needed knowledge creates an overlay/ebuild that can be used. I am willing to help but I do not know anything about how to make e-builds or overlays for portage.
Back to top
View user's profile Send private message
jrussia
Tux's lil' helper
Tux's lil' helper


Joined: 29 Aug 2012
Posts: 89
Location: Chicago

PostPosted: Wed Jan 09, 2013 2:32 am    Post subject: Reply with quote

If you run
Code:
emerge -p =x11-libs/wxGTK-2.9.4.1


you'll see that it's available but hard masked. Make sure that you understand that the developers have chosen to hard mask it. If you still want to install then you need to add =x11-libs/wxGTK-2.9.4.1 to /etc/portage/package.unmask


I don't know if it will install it side by side with the previous version; I understand there's an eselect option for wxwidgets, so it's possible.
Back to top
View user's profile Send private message
pvh1987
n00b
n00b


Joined: 06 Jun 2012
Posts: 34

PostPosted: Wed Jan 09, 2013 1:36 pm    Post subject: Reply with quote

Thanks. I will try that. :-)

I understand that it is hard masked. I am only going to use it for testing my own software, how it will run on wxWidgets 2.9.4. That's why it is going to be installed side by side with wxGTK 2.8.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Portage & Programming All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum